Arch SplitMesh/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/fr")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_CloneComponent|Clone component]]|[[Arch_MeshToShape|Mesh To Shape]]|[[Arch_Module|Arch]]}}

<div class="mw-translate-fuzzy">
{{GuiCommand/fr|Name=Arch SplitMesh|Name/fr=Arch Sépartation d'un objet Mesh|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Utilitaires → Split Mesh|SeeAlso=[[Arch SelectNonSolidMeshes/fr|Arch SelectNonSolidMeshes]]}}
{{GuiCommand/fr|Name=Arch SplitMesh|Name/fr=Arch Sépartation d'un objet Mesh|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Utilitaires → Split Mesh|SeeAlso=[[Arch SelectNonSolidMeshes/fr|Arch SelectNonSolidMeshes]]}}
</div>


==Description==
==Description==
Line 8: Line 12:
==Utilisation==
==Utilisation==


<div class="mw-translate-fuzzy">
# Sélectionnez un objet mesh
# Sélectionnez un objet mesh
# Cliquez sur le bouton {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} dans Arch -> menu Utilitaires
# Cliquez sur le bouton {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} dans Arch -> menu Utilitaires
</div>


<div class="mw-translate-fuzzy">
==Script==
==Script==
</div>


<div class="mw-translate-fuzzy">
L'outil Split Mesh est utilisable dans une [[macros/fr|macro]] et dans la console python en utilisant la fonction suivante :
L'outil Split Mesh est utilisable dans une [[macros/fr|macro]] et dans la console python en utilisant la fonction suivante :
</div>
{{Code|code=
{{Code|code=
new_list = splitMesh(obj, mark=True)
splitMesh (object,[mark])
}}
}}

<div class="mw-translate-fuzzy">
Sépare les composants de l'objet maille
Sépare les composants de l'objet maille
</div>


Example:
Si "mark" a la valeur False, rien ne se passe. Si la valeur est True (valeur par défaut),[http://en.wikipedia.org/wiki/Manifold manigold] les composants seront peints en rouge .
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)
}}
{{docnav|[[Arch_CloneComponent|Clone component]]|[[Arch_MeshToShape|Mesh To Shape]]|[[Arch_Module|Arch]]}}


<div class="mw-translate-fuzzy">
[[Category:Arch/fr]]
[[Category:Arch/fr]]
</div>

Revision as of 12:57, 5 February 2019

Arch Sépartation d'un objet Mesh

Emplacement du menu
Arch → Utilitaires → Split Mesh
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch SelectNonSolidMeshes

Description

Cet outil sépare les composants d'un objet Mesh sélectionné

Utilisation

  1. Sélectionnez un objet mesh
  2. Cliquez sur le bouton Split Mesh dans Arch -> menu Utilitaires

Script

L'outil Split Mesh est utilisable dans une macro et dans la console python en utilisant la fonction suivante :

new_list = splitMesh(obj, mark=True)

Sépare les composants de l'objet maille

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)